Bug 173434 - java/openjdk6 fails to build
java/openjdk6 fails to build
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD Java mailing list
Depends on:
  Show dependency treegraph
Reported: 2012-11-06 23:50 UTC by dave
Modified: 2012-11-08 21:59 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description dave 2012-11-06 23:50:00 UTC
As of 11/6/2012 I did a fresh portsnap fetch/update. On a clean system (by clean I mean /usr/local is blank and /var/db/pkg is blank) I built java/openjdk6 only to have it fail asking for 'nmake' which I believe is a microsoft tool. There is nothing in /etc/make.conf but PERL_VERSION. 

A full transcript of this build process is available on request.

I get this as output from the failure:

cd  ./hotspot/make && \
    gmake JDK_TOPDIR=/rw/usr/ports/java/openjdk6/work/jdk JDK_MAKE_SHARED_DIR=/rw/usr/ports/java/openjdk6/work/jdk/make/common/shared EXTERNALSANITYCONTROL=true TARGET_CLASS_VERSION=5 MILESTONE=fcs BUILD_NUMBER=b27 JDK_BUILD_NUMBER=b27 FULL_VERSION=1.6.0_32-b27 PREVIOUS_JDK_VERSION=1.6.0 JDK_VERSION=1.6.0_32 JDK_MKTG_VERSION=6u32 JDK_MAJOR_VERSION=1 JDK_MINOR_VERSION=6 JDK_MICRO_VERSION=0 ARCH_DATA_MODEL=64 COOKED_JDK_UPDATE_VERSION=320 COOKED_BUILD_NUMBER=27 ANT_HOME="/rw/usr/ports/java/openjdk6/work/apache-ant-1.8.4" ALT_OUTPUTDIR=/rw/usr/ports/java/openjdk6/work/build/bsd-amd64/hotspot/outputdir ALT_EXPORT_PATH=/rw/usr/ports/java/openjdk6/work/build/bsd-amd64/hotspot/import ALT_SLASH_JAVA=/NOT-SET ALT_BOOTDIR=/usr/local/bootstrap-openjdk ALT_LANGTOOLS_DIST=/rw/usr/ports/java/openjdk6/work/build/bsd-amd64/langtools/dist all_product
gmake[2]: Entering directory `/rw/usr/ports/java/openjdk6/work/hotspot/make'
Makefile:375: target `/Xusage.txt' given more than once in the same rule.
cd /rw/usr/ports/java/openjdk6/work/hotspot/make; \
gmake VM_TARGET=product generic_build2 ALT_OUTPUTDIR=/rw/usr/ports/java/openjdk6/work/build/bsd-amd64/hotspot/outputdir
gmake[3]: Entering directory `/rw/usr/ports/java/openjdk6/work/hotspot/make'
Makefile:375: target `/Xusage.txt' given more than once in the same rule.
mkdir -p /rw/usr/ports/java/openjdk6/work/build/bsd-amd64/hotspot/outputdir
cd /rw/usr/ports/java/openjdk6/work/build/bsd-amd64/hotspot/outputdir; \
    MAKEFLAGS= MFLAGS= nmake /NOLOGO -f \\rw\\usr\\ports\\java\\openjdk6\\work\\hotspot\\make\\windows\\build.make \
	      Variant=compiler2 \
                      WorkSpace=\\rw\\usr\\ports\\java\\openjdk6\\work\\hotspot \
	      BootStrapDir=\\usr\\local\\bootstrap-openjdk \
                      BuildUser= \
	       JDK_MKTG_VERSION=6u32 JDK_MAJOR_VER=1 JDK_MINOR_VER=6 JDK_MICRO_VER=0 JDK_UPDATE_VER=320 JDK_BUILD_NUMBER=27 BUILD_WIN_SA=1 JAVA_HOME=\\usr\\local\\bootstrap-openjdk OUTPUTDIR=\\rw\\usr\\ports\\java\\openjdk6\\work\\build\\bsd-amd64\\hotspot\\outputdir GAMMADIR=\\rw\\usr\\ports\\java\\openjdk6\\work\\hotspot MAKE_VERBOSE=y HOTSPOT_RELEASE_VERSION=20.0-b12 JRE_RELEASE_VERSION=1.6.0_32-b27 HOTSPOT_BUILD_VERSION= product
nmake: not found
gmake[3]: *** [generic_build2] Error 127
gmake[3]: Leaving directory `/rw/usr/ports/java/openjdk6/work/hotspot/make'
gmake[2]: *** [product] Error 2
gmake[2]: Leaving directory `/rw/usr/ports/java/openjdk6/work/hotspot/make'
gmake[1]: *** [hotspot-build] Error 2
gmake[1]: Leaving directory `/rw/usr/ports/java/openjdk6/work'
gmake: *** [build_product_image] Error 2
*** Error code 1

Stop in /rw/usr/ports/java/openjdk6.
*** Error code 1

Stop in /rw/usr/ports/java/openjdk6.

How-To-Repeat: # mv /usr/local /usr/local.save
# mkdir /usr/local
# mv /var/db/pkg /var/db/pkg.save
# mkdir /var/db/pkg
# portsnap fetch
# portsnap update
# cd /usr/ports/java/openjdk6
# make config
# make package-recursive
Comment 1 Edwin Groothuis freebsd_committer 2012-11-06 23:50:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-java

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 jgh@FreeBSD.org freebsd_committer 2012-11-08 19:45:42 UTC
State Changed
From-To: open->feedback

is something in your shell overridding the default of 'make'?
Comment 3 Jung-uk Kim freebsd_committer 2012-11-08 21:58:27 UTC
State Changed
From-To: feedback->closed

It should be fixed with r307205.